Page MenuHomePhabricator

automation: create Python 3.5 variant of requirements.txt
ClosedPublic

Authored by indygreg on May 6 2021, 9:38 PM.

Details

Summary

The automation environment is refusing to build with the previous
file because some dependencies won't install on Python 3.5.

I couldn't find an easy way to salvage the situation with a single
requirements.txt file. So, I decided to introduce a variant
for Python 3.5.

As part of this, we update packages to latest versions.

(I do question why we are still supporting Python 3.5...)

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

indygreg created this revision.May 6 2021, 9:38 PM
indygreg updated this revision to Diff 27735.May 6 2021, 9:53 PM

(I do question why we are still supporting Python 3.5...)

I'm not sure either. It was hard enough getting a 3.6 build into the CI images for pytype, so I didn't bother with 3.5. At least 3.6 is needed for Ubuntu 18.04 and CentOS 7.

baymax updated this revision to Diff 27743.May 7 2021, 11:30 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 27780.May 10 2021, 11:37 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

pulkit accepted this revision.May 10 2021, 3:07 PM
This revision is now accepted and ready to land.May 10 2021, 3:07 PM
This revision was automatically updated to reflect the committed changes.
baymax updated this revision to Diff 27949.May 15 2021, 8:05 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)